# create config files for package finding
SET(PROJECT_INSTALL_DOC ${${PROJECT_NAME}_INSTALL_DOC})
SET(PROJECT_VERSION ${${PROJECT_NAME}_VERSION})
SET(USE_IMPORT ON)
SET(EXPORT_NAME ${PROJECT_NAME})
IF(UNIX)
	SET(CONFIG_INSTALL share/cmake/${PROJECT_NAME})
ELSE()
	SET(CONFIG_INSTALL cmake)
ENDIF()
CONFIGURE_FILE(
	${CMAKE_MODULE_PATH}/ProjectConfig.cmake.in
	cmake/${PROJECT_NAME}-config.cmake
	@ONLY
)
CONFIGURE_FILE(
	${CMAKE_MODULE_PATH}/ProjectVersion.cmake.in
	cmake/${PROJECT_NAME}-config-version.cmake
	@ONLY
)
INSTALL(FILES
	${CMAKE_CURRENT_BINARY_DIR}/cmake/${PROJECT_NAME}-config.cmake
	${CMAKE_CURRENT_BINARY_DIR}/cmake/${PROJECT_NAME}-config-version.cmake
	DESTINATION ${CONFIG_INSTALL}
	COMPONENT libraries
)

UNSET(PROJECT_INSTALL_DOC)
UNSET(PROJECT_VERSION)
UNSET(IMPORT_PATH)
UNSET(USE_IMPORT)
